Module tdlight.api
Package it.tdlight.jni

# Class TdApi.NotificationTypeNewPushMessage

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.NotificationType
it.tdlight.jni.TdApi.NotificationTypeNewPushMessage

Enclosing class:
  TdApi

public static final class TdApi.NotificationTypeNewPushMessage extends TdApi.NotificationType
New message was received through a push notification.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.PushMessageContent`
`content`
Push message content.
`boolean`
`isOutgoing`
True, if the message is outgoing.
`long`
`messageId`
The message identifier.
`TdApi.MessageSender`
`sender`
The sender of the message.
`String`
`senderName`
Name of the sender.

## Constructor Summary

Constructors
Constructor
Description
`NotificationTypeNewPushMessage()`
New message was received through a push notification.
`NotificationTypeNewPushMessage(long messageId, TdApi.MessageSender sender, String senderName, boolean isOutgoing, TdApi.PushMessageContent content)`
New message was received through a push notification.
`NotificationTypeNewPushMessage(DataInput input)`
New message was received through a push notification.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### messageId

public long messageId
The message identifier. The message will not be available in the chat history, but the ID can be used in viewMessages, or as replyToMessageId.

### sender

public TdApi.MessageSender sender
The sender of the message. Corresponding user or chat may be inaccessible.

### senderName

public String senderName
Name of the sender.

### isOutgoing

public boolean isOutgoing
True, if the message is outgoing.

### content

public TdApi.PushMessageContent content
Push message content.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### NotificationTypeNewPushMessage

public NotificationTypeNewPushMessage()
New message was received through a push notification.

### NotificationTypeNewPushMessage

public NotificationTypeNewPushMessage(long messageId, TdApi.MessageSender sender, String senderName, boolean isOutgoing, TdApi.PushMessageContent content)
New message was received through a push notification.

Parameters:
  `messageId` - long The message identifier. The message will not be available in the chat history, but the ID can be used in viewMessages, or as replyToMessageId.
  `sender` - MessageSender The sender of the message. Corresponding user or chat may be inaccessible.
  `senderName` - String Name of the sender.
  `isOutgoing` - boolean True, if the message is outgoing.
  `content` - PushMessageContent Push message content.

### NotificationTypeNewPushMessage

public NotificationTypeNewPushMessage(DataInput input) throws IOException
New message was received through a push notification.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`